# Type alias PluginWrapArg

PluginWrapArg: {
alerts: {
msg: string | string[];
type: "error" | "danger" | "success" | "warning";
}[];
body: string | Layout;
bodyClass: string;
brand: {
name: string;
};
currentUrl: string;
headers: Header[];
menu: {
items: MenuItem[];
section: string;
}[];
role?: number;
title: string;
}

#### Type declaration

- ##### alerts: {
  msg: string | string[];
  type: "error" | "danger" | "success" | "warning";
  }[]

- ##### body: string | Layout

- ##### bodyClass: string

- ##### brand: {
  name: string;
  }

  - ##### name: string

- ##### currentUrl: string

- ##### headers: Header[]

- ##### menu: {
  items: MenuItem[];
  section: string;
  }[]

- ##### `Optional` role?: number

- ##### title: string

- Defined in saltcorn-types/base_types.ts:123

Generated using TypeDoc